 REVOKE SELECT ON TABLE public.post_history FROM hr_ro;
 REVOKE SELECT ON TABLE public.staff_post FROM hr_ro;
 REVOKE SELECT ON TABLE public.mm_research_group_computer_rep FROM hr_ro;
 REVOKE SELECT ON TABLE public.searching_report FROM hr_ro;
 REVOKE SELECT ON TABLE public.probation_and_reviews_view FROM hr_ro;
 REVOKE SELECT ON TABLE public.cambridge_history_subview FROM hr_ro;
 REVOKE SELECT ON TABLE public.cambridge_history_v2_subview FROM hr_ro;
 REVOKE SELECT ON TABLE public.current_postdocs_report FROM hr_ro;
 REVOKE SELECT ON TABLE public.female_researchers_report FROM hr_ro;
 REVOKE SELECT ON TABLE public.funding_report FROM hr_ro;
 REVOKE SELECT ON TABLE public.jump_to_person_from_visitor_subview FROM hr_ro;
 REVOKE SELECT ON TABLE public.people_without_staff_reviews_oldreport FROM hr_ro;
 REVOKE SELECT ON TABLE public.leavers_report FROM hr_ro;
 REVOKE SELECT ON TABLE public.personnel_phone_view FROM hr_ro;
 REVOKE SELECT ON TABLE public.post_details_report FROM hr_ro;
 REVOKE SELECT ON TABLE public.post_history_view FROM hr_ro;
 REVOKE SELECT ON TABLE public.postdoc_mentors_report FROM hr_ro;
 REVOKE SELECT ON TABLE public.principal_investigators_with_students_report FROM hr_ro;
 REVOKE SELECT ON TABLE public.registration_and_leaving_view FROM hr_ro;
 REVOKE SELECT ON TABLE public.research_group_members_subview FROM hr_ro;
 REVOKE SELECT ON TABLE public.retirement_dates_report FROM hr_ro;
 REVOKE SELECT ON TABLE public.short_searching_report FROM hr_ro;
 REVOKE SELECT ON TABLE public.staff_review_and_development_oldreport FROM hr_ro;
 REVOKE SELECT ON TABLE public.staff_review_and_development2_oldreport FROM hr_ro;
 REVOKE SELECT ON TABLE public.staff_reviews_due_oldreport FROM hr_ro;
 REVOKE SELECT ON TABLE public.staff_development_report FROM hr_ro;
 REVOKE SELECT ON TABLE public.staff_mentors_report FROM hr_ro;
 REVOKE SELECT ON TABLE public.staff_personnel_report FROM hr_ro;
 REVOKE SELECT ON TABLE public.staff_post_view FROM hr_ro;
 REVOKE SELECT ON TABLE public.visitors_view FROM hr_ro;
 REVOKE SELECT ON TABLE public.personnel_data_entry_view FROM hr_ro;
 REVOKE SELECT ON TABLE public.research_group_editing_view FROM hr_ro;
 REVOKE SELECT ON TABLE public.jump_to_person_from_post_history_subview FROM hr_ro;
 REVOKE SELECT ON TABLE public.edit_list_of_titles_view FROM hr_ro;
 REVOKE SELECT ON TABLE public.inconsistent_status_report FROM hr_ro;
 REVOKE SELECT ON TABLE public.personnel_history_view FROM hr_ro;
 REVOKE SELECT ON TABLE public.phone_directory_report FROM hr_ro;
 REVOKE SELECT ON TABLE public.postgrad_mentors_report FROM hr_ro;
 REVOKE SELECT ON TABLE public.staff_reviews_oldview FROM hr_ro;
 REVOKE SELECT ON TABLE public.staff_reviews_summary_oldsubview FROM hr_ro;
 REVOKE SELECT ON TABLE public.visitorship FROM hr_ro;
 REVOKE SELECT ON TABLE public.current_people_by_sector_report FROM hr_ro;
 REVOKE SELECT ON TABLE public.payroll_numbers_outstanding_view FROM hr_ro;
 REVOKE SELECT ON TABLE public.personnel_subview FROM hr_ro;
 REVOKE SELECT ON TABLE public.research_group FROM hr_ro;
 REVOKE SELECT ON TABLE public.staff_review_history_subview FROM hr_ro;
 REVOKE SELECT ON TABLE public.person FROM hr_ro;
 REVOKE SELECT ON TABLE public.mm_person_dept_telephone_number FROM hr_ro;
 REVOKE SELECT ON TABLE public.staff_reviews_view FROM hr_ro;
 REVOKE SELECT ON TABLE public.staff_review_and_development_report FROM hr_ro;
 REVOKE SELECT ON TABLE public.staff_reviews_summary_subview FROM hr_ro;
 REVOKE SELECT ON TABLE public.people_without_staff_reviews_report FROM hr_ro;
 REVOKE SELECT ON TABLE public._physical_status_v3 FROM hr_ro;
 REVOKE SELECT ON TABLE public.mm_person_research_group FROM hr_ro;
 REVOKE SELECT ON TABLE public.mm_person_nationality FROM hr_ro;
 REVOKE SELECT ON TABLE public.personnel_history_for_hrnj_report FROM hr_ro;
